Summary: A Gnome based H323 teleconferencing application
Name: gnomemeeting
Version: 1.0.2
Release: 9
URL: http://www.gnomemeeting.org/
Source0: http://www.gnomemeeting.org/admin/downloads/latest/sources/sources/gnomemeeting-%{version}.tar.gz
License: GPL
Group: Applications/Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: openh323 >= 1.13.4
Requires: pwlib >= 1.6.5
Requires: GConf2 >= 1.2.1
Requires: libgnomeui >= 2.0
Requires: libgnome >= 2.0
PreReq:    scrollkeeper
BuildRequires: gtk2-devel >= 2.0.0
BuildRequires: GConf2-devel >= 1.2.1
BuildRequires: openh323-devel >= 1.13.4
BuildRequires: libgnomeui-devel >= 2.0
BuildRequires: libgnome-devel >= 2.0
BuildRequires: openldap-devel
BuildRequires: pwlib-devel >= 1.6.5
BuildRequires: libxml2-devel >= 2.5.0
BuildRequires: SDL-devel
BuildRequires: intltool >= 0.22
BuildRequires: pkgconfig
BuildRequires: scrollkeeper
BuildRequires: alsa-lib-devel
BuildRequires: gettext

Patch0: format-fix.patch

%description
GnomeMeeting is a tool to communicate with video and audio over the internet.
It uses the H323 protocol and is compatible with Microsoft Netmeeting.

%prep
%setup -q

%patch0 -p1 -b .format-fix

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -r $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang gnomemeeting

rm $RPM_BUILD_ROOT%{_datadir}/applications/gnomemeeting.desktop
ln -s %{_datadir}/desktop-menu-patches/redhat-gnomemeeting.desktop $RPM_BUILD_ROOT%{_datadir}/applications/redhat-gnomemeeting.desktop 

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas > /dev/null 2>&1
gconftool-2 --shutdown
scrollkeeper-update

%postun
scrollkeeper-update

%files -f gnomemeeting.lang
%defattr(-,root,root)
%{_bindir}/gnomemeeting
%{_bindir}/gnomemeeting-config-tool
%{_libdir}/bonobo/servers/gnomemeeting.server
%{_datadir}/applications/redhat-gnomemeeting.desktop
%{_datadir}/gnome/help/gnomemeeting
%{_datadir}/omf/gnomemeeting
%{_datadir}/pixmaps/*
%{_datadir}/man/*/*
%{_datadir}/sounds/gnomemeeting
%{_datadir}/gnomemeeting
%{_sysconfdir}/gconf/schemas/gnomemeeting.schemas

%changelog
* Mon Feb 19 2007 Soren Sandmann <sandmann@redhat.com> 1.0.2-9
- Fix for format string vulnerability (bug 229266).

* Wed Aug 18 2004 Daniel Reed <djr@redhat.com> 1.0.2-8
- remove ExcludeArch

* Thu Aug 12 2004 Daniel Reed <djr@redhat.com> 1.0.2-7
- ExcludeArch: ppc64 to temporarily work around #129699

* Wed Aug 11 2004 Daniel Reed <djr@redhat.com> 1.0.2-6
- remove ExclusiveArch

* Mon Aug  2 2004 Daniel Reed <djr@redhat.com> 1.0.2-4
- spec cleanup

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Apr 10 2004 Warren Togami <wtogami@redhat.com> 1.0.2-2
- BR scrollkeeper alsa-lib-devel gettext

* Fri Apr  2 2004 Alex Larsson <alexl@redhat.com> 1.0.2-1
- update to 1.0.2

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 1.0-1
- update to 1.0 final

* Mon Feb 23 2004 Alexander Larsson <alexl@redhat.com> 1.0-0.pre2.0
- update to 1.0pre2

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Sep 10 2003 Alexander Larsson <alexl@redhat.com> 0.98.5-1
- update to 0.98.5 (bugfix release which fixes a libxml parser
  crash with for threaded apps, no other code changes)

* Wed Sep  3 2003 Alexander Larsson <alexl@redhat.com> 0.98.4-1
- update to 0.98.4

* Fri Jul  4 2003 Alexander Larsson <alexl@redhat.com> 0.98.0-1
- Update to 0.98.0

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar  4 2003 Alexander Larsson <alexl@redhat.com> 0.96.1-1
- Update to 0.96.1, remove clearcall patch

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Mon Feb 24 2003 Alexander Larsson <alexl@redhat.com> 0.96.0-3
- Fixed bad bug with pc-to-phone calls (#84941)

* Mon Jan 27 2003 Alexander Larsson <alexl@redhat.com> 0.96.0-2
- new tarball from upstream

* Thu Jan 23 2003 Alexander Larsson <alexl@redhat.com> 0.96.0-1
- update to 0.96.0 (final)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 0.95.0-2
- rebuilt

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 0.95.0-1
- Update to 0.95.0

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 0.94.1-4
- Rebuild

* Thu Dec 12 2002 Nalin Dahyabhai <nalin@redhat.com>
- Use OpenSSL's pkg-config data, if available

* Thu Oct 24 2002 Alexander Larsson <alexl@redhat.com> 0.94.1-3
- Buildrequire openh323-devel 1.9.10-4

* Thu Oct 24 2002 Alexander Larsson <alexl@redhat.com> 0.94.1-2
- Add patch to force speex enabled

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 0.94.1-1
- Update to 0.94.1

* Wed Oct  9 2002 Alexander Larsson <alexl@redhat.com> 0.93.1-5
- Add 64bit patch
- Added ldap patch
- libdir fixes

* Tue Aug 27 2002 Nalin Dahyabhai <nalin@redhat.com> 0.93.1-4
- rebuild

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Thu Aug  8 2002 Alexander Larsson <alexl@redhat.com>
- Fix menu desktopfile link, fixes #70652

* Tue Jul 23 2002 Alexander Larsson <alexl@redhat.com> 0.93.0-4
- Move desktop file to redhat-menus. Add symlink instead.

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 0.93.0-3
- build using gcc-3.2-0.1

* Wed Jul 17 2002 Alexander Larsson <alexl@redhat.com> 0.93.0-2
- Add gnomemeeting.server to %files

* Thu Jul 11 2002 Alexander Larsson <alexl@redhat.com> 0.93.0-1
- Update to 0.93.0

* Thu Jul  4 2002 Alexander Larsson <alexl@redhat.com>
- Add configure patch for 64bit systems

* Mon Mar 11 2002 Alex Larsson <alexl@redhat.com> 0.85.1-3
- Update to new tarball from damien

* Fri Mar  8 2002 Alex Larsson <alexl@redhat.com> 0.85.1-1
- Update to 0.85.1 from upstream

* Wed Feb 27 2002 Alex Larsson <alexl@redhat.com> 0.84.0-3
- Require GConf 1.0.8-4

* Wed Feb 27 2002 Alex Larsson <alexl@redhat.com> 0.84.0-2
- Require GConf 1.0.8-2, shutdown gconf in %post

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com> 0.84.0-1
- Update to 0.84

* Tue Dec  4 2001 Alex Larsson <alexl@redhat.com>
- Updated to 0.12.2

* Sat Dec  1 2001 Alex Larsson <alexl@redhat.com>
- Update to 0.12

* Wed Sep 27 2001 Alex Larsson <alexl@redhat.com> 0.11-2
- Fix translations. Had wrong name in find_lang

* Wed Sep 19 2001 Alex Larsson <alexl@redhat.com> 0.11-1
- Update to 0.11

* Wed Aug 15 2001 Alexander Larsson <alexl@redhat.com> 0.10-2
- Added include order patch

* Wed Aug 15 2001 Alexander Larsson <alexl@redhat.com> 0.10-1
- Updated to 0.10

* Thu Jul  5 2001 Alex Larsson <alexl@redhat.com>
- Initial build.


